package net.northking.cctp.se.plan.bean;

import java.util.Map;

public class AutoTask {

    private String taskId;

    private String batchId;

    private String planId;

    private String caseId;

    private String caseType;

    private String scriptPath;

    private Map<String,Object> caseParams;

    /**
     * 应用设置;1-清除数据，2-卸载安装，3-清除并卸载
     */
    private String appSet;

    /**
     * 录屏设置;0-不保存，1-全部保存，2-出错保存
     */
    private String screenRecordSet;

    /**
     * 截图设置;0-不保存，1-全部保存，2-出错保存
     */
    private String screenshotSet;

    private int failRetryNum;

    private String appId;

    private String projectId;

    private String tenantId;

    //引擎中获取
    private String deviceId;

    /**
     * 1-pc,2-mobile,3-interface
     */
    private String taskType;

    /**
     * pc设备浏览器类型（0-无,1-IE,2-chrome,3-firefox,4-edge）
     */
    private String browserType;
    /**
     * 移动引用下载路径
     */
    private String appDownloadUrl;

    /**
     * 环境id
     */
    private String envId;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public String getCaseId() {
        return caseId;
    }

    public void setCaseId(String caseId) {
        this.caseId = caseId;
    }

    public String getCaseType() {
        return caseType;
    }

    public void setCaseType(String caseType) {
        this.caseType = caseType;
    }

    public String getScriptPath() {
        return scriptPath;
    }

    public void setScriptPath(String scriptPath) {
        this.scriptPath = scriptPath;
    }

    public Map<String,Object> getCaseParams() {
        return caseParams;
    }

    public void setCaseParams(Map<String,Object> caseParams) {
        this.caseParams = caseParams;
    }

    public String getAppSet() {
        return appSet;
    }

    public void setAppSet(String appSet) {
        this.appSet = appSet;
    }

    public String getScreenRecordSet() {
        return screenRecordSet;
    }

    public void setScreenRecordSet(String screenRecordSet) {
        this.screenRecordSet = screenRecordSet;
    }

    public String getScreenshotSet() {
        return screenshotSet;
    }

    public void setScreenshotSet(String screenshotSet) {
        this.screenshotSet = screenshotSet;
    }

    public int getFailRetryNum() {
        return failRetryNum;
    }

    public void setFailRetryNum(int failRetryNum) {
        this.failRetryNum = failRetryNum;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getTaskType() {
        return taskType;
    }

    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }

    public String getBrowserType() {
        return browserType;
    }

    public void setBrowserType(String browserType) {
        this.browserType = browserType;
    }

    public String getAppDownloadUrl() {
        return appDownloadUrl;
    }

    public void setAppDownloadUrl(String appDownloadUrl) {
        this.appDownloadUrl = appDownloadUrl;
    }

    public String getEnvId() {
        return envId;
    }

    public void setEnvId(String envId) {
        this.envId = envId;
    }
}
